image: notterservice/ant-mvn-git:latest

variables:
  ARTIFACTORY_URI: "<insert your artifactory uri here or create a secret called ARTIFACTORY_URI>"

stages:
  - build-prudence-dependencies-1
  - build-prudence-dependencies-2
  - build-prudence-dependencies-3
  - build-prudence-dependencies-4
  - build-prudence-dependencies-5
  - build-prudence

creel:
  stage: build-prudence-dependencies-1
  script:
    - cd /home && git clone https://github.com/enpayne/creel.git
    - cd creel/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

succinct:
  stage: build-prudence-dependencies-1
  script:
    - cd /home && git clone https://github.com/enpayne/succinct.git
    - cd succinct/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

jygments:
  stage: build-prudence-dependencies-1
  script:
    - cd /home && git clone https://github.com/enpayne/jygments.git
    - cd jygments/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

jetty9:
  stage: build-prudence-dependencies-1
  script:
    - cd /home && git clone https://github.com/enpayne/restlet-jetty9.git
    - cd restlet-jetty9 && mvn deploy -DaltDeploymentRepository=central::default::$ARTIFACTORY_URI

scripturian:
  stage: build-prudence-dependencies-2
  script:
    - cd /home && git clone https://github.com/enpayne/scripturian.git
    - cd scripturian/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

json-jvm:
  stage: build-prudence-dependencies-3
  script:
    - cd /home
    - git clone https://github.com/enpayne/json-jvm.git
    - cd json-jvm/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

mongodb:
  stage: build-prudence-dependencies-4
  script:
    - cd /home && git clone https://github.com/enpayne/mongodb-jvm.git
    - cd mongodb-jvm/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

sincerity:
  stage: build-prudence-dependencies-5
  script:
    - cd /home
    - git clone https://github.com/enpayne/sincerity.git
    - cd sincerity/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven

prudence:
  stage: build-prudence
  script:
    - cd /home
    - git clone https://github.com/enpayne/prudence.git
    - cd prudence/build && ant -Ddistribution.repo=$ARTIFACTORY_URI -Ddependencies.repo=$ARTIFACTORY_URI deploy-maven
